/*+-------------------------------------------------------------------------
	dvent.h - HDB UUCP Devices file entry (a la pwent.h)
	wht@n4hgf.Mt-Park.GA.US
--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:07-25-1991-12:55-wht@n4hgf-ECU release 3.10 */
/*:08-14-1990-20:39-wht@n4hgf-ecu3.00-flush old edit history */

struct dvent
{
	char *type;		/* ACU or Direct */
	char *line;		/* tty  name "ttyxx"-style */
	char *dialer;	/* "801" dialer line */
	uint low_baud;	/* lowest baud rate */
	uint high_baud;	/* highest baud rate */
	char *dialprog;	/* dialer program */
      char *token;    /* token to be passed to the dialer */
};

struct dvent *getdvent();
struct dvent *getdvbaud();
struct dvent *getdvline();
void enddvent();

/* vi: set tabstop=4 shiftwidth=4: */
/* end of dvent.h */
