/*+-----------------------------------------------------------------------
	lint_args.h
------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:07-25-1991-12:59-wht@n4hgf-ECU release 3.10 */
/*:04-29-1991-00:04-afterlint-creation */

#ifndef BUILDING_LINT_ARGS
#ifdef LINT_ARGS

/* ecusea.c */
void send_file_block(FILE *fp,int blknum);
char *receive_file(void );
char *sf_state_text(int );
int main(int ,char **,char **);
int receive_block(char *);
int send_comm_block(char *,int );
int send_file(char *);
int wait_for_rcvr_response(void );
unsigned int getspeed(int );
unsigned int lgetc_timeout(int );
unsigned short crc_update(int ,unsigned int );
void set_sf_state(int ,int );
void set_utime_1980(char *,long );
void xmit_ack(int );
void xmit_cancel(void );
void xmit_nak(int );
/* scurses.c */
char *get_elapsed_time(long );
char *hhmmss(char *);
int clear_area(struct _win_st *,int ,int ,int );
int clear_area_char(struct _win_st *,int ,int ,int ,char );
int report_error_count(void );
int report_file_byte_io(long );
int report_file_open_length(long );
int report_file_rcv_started(char *,long ,long );
int report_protocol_crc_type(char *);
int report_rx_tx_count(void );
void report_file_close(void );
void report_file_open_tod(void );
void report_file_send_open(char *,struct stat *);
void report_init(char *);
void report_last_rxhdr(char *,int );
void report_last_txhdr(char *,int );
void report_line(unsigned int ,char *);
void report_rx_ind(int );
void report_rxpos(long );
void report_str(char *,int );
void report_top_line(char *);
void report_transaction(char *);
void report_tx_ind(int );
void report_txpos(long );
void report_uninit(void );

#else		/* compiler doesn't know about prototyping */

/* ecusea.c */
/* void send_file_block();
char *receive_file();
char *sf_state_text();
unsigned int getspeed();
unsigned int lgetc_timeout();
unsigned short crc_update();
void set_sf_state();
void set_utime_1980();
void xmit_ack();
void xmit_cancel();
void xmit_nak();
/* scurses.c */
char *get_elapsed_time();
char *hhmmss();
void report_file_close();
void report_file_open_tod();
void report_file_send_open();
void report_init();
void report_last_rxhdr();
void report_last_txhdr();
void report_line();
void report_rx_ind();
void report_rxpos();
void report_str();
void report_top_line();
void report_transaction();
void report_tx_ind();
void report_txpos();
void report_uninit();

#endif /* LINT_ARGS */
#endif /* BUILDING_LINT_ARGS */

/* end of lint_args.h */
